Delete a bulk email list
DELETE https://api.bouncify.io/v1/bulk/{job_id}
The list and its results once deleted cannot recovered back. If the lists and results are needed, you need to upload and verify the list again.
job_id is a path parameter — it is part of the URL, not the query string. apikey is a query parameter. Sending job_id as ?job_id= does not work: the API only reads the job id from the URL path, and responds 400 Invalid request. Required Id.
Request Parameters
| Parameter | Location | Type | Required | Description |
|---|---|---|---|---|
job_id | Path | string | Required | Your list's jobId, you needs to delete. It goes in the URL path: /v1/bulk/{job_id} |
apikey | Query | string | Required | Your 32-character API key, passed as ?apikey= |
Successful Response
JSON
HTTP/1.1 200 OK
{
"job_id": "r374aki32rnatv868nntpxloc7dkilszc3eu",
"success": true,
"message": "List will be deleted"
}
Response Parameters
| Parameter | Type | Definition |
|---|---|---|
job_id | string | Your list's jobId, you needs to delete |
success | [true, false] | Whether the API request call was successful or not. |
message | string | Describes API result |
Other Responses
The response you get when the API key is invalid:
HTTP/1.1 401 Unauthorized
{
"result":"Invalid API Key",
"success": false
}
The response you get when you provide invalid job_id:
HTTP/1.1 400 BadRequest
{
"result": "Job not found. Invalid jobId",
"success": false
}
The response you get when job_id is missing from the URL path — for example when it is sent as a query parameter instead:
HTTP/1.1 400 BadRequest
{
"result": "Invalid request. Required Id.",
"success": false
}
The response you get when the list is still processing:
HTTP/1.1 400 BadRequest
{
"result": "List is being processed, and cannot be deleted.",
"success": false
}
The response you get when the list not found:
HTTP/1.1 400 BadRequest
{
"result": "List not found, may be already deleted.",
"success": false
}
Example
Go / Python / PHP / Ruby / Shell
curl --request DELETE \
--url 'https://api.bouncify.io/v1/bulk/{job_id}?apikey=YOUR_API_KEY' \
--header 'accept: application/json'